"""remove extra line in cc header

Revision ID: 0cc194239baf
Revises: c8e98a7d848e
Create Date: 2022-11-10 13:14:58.308615

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '0cc194239baf'
down_revision = 'c8e98a7d848e'
branch_labels = None
depends_on = None

old_destination = """To: {{destination_email}}
{{#cc_email}}Cc: {{cc_email}}{{/cc_email}}"""

new_destination = """To: {{destination_email}}{{#cc_email}}
Cc: {{cc_email}}{{/cc_email}}"""

old_user = """To: {{user_email}}
{{#cc_email}}Cc: {{cc_email}}{{/cc_email}}"""

new_user = """To: {{user_email}}{{#cc_email}}
Cc: {{cc_email}}{{/cc_email}}"""

old_submitted = """To: {{destination_email}}
{{#cc_email}}Cc: {{cc_email}}{{/cc_email}}


Dear User"""

new_submitted = """To: {{destination_email}}{{#cc_email}}
Cc: {{cc_email}}{{/cc_email}}


Dear User"""


def upgrade():
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{old_destination}', E'{new_destination}')
    """)
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{old_user}', E'{new_user}')
    """)
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{old_submitted}', E'{new_submitted}')
        WHERE name = 'workflow-submitted'
    """)

def downgrade():
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{new_destination}', E'{old_destination}')
    """)
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{new_user}', E'{old_user}')
    """)
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{new_submitted}', E'{old_submitted}')
        WHERE name = 'workflow-submitted'
    """)
